Loading...
Searching...
No Matches
field_indirect_base< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_indirect_base< T, M >

Definition at line 118 of file field_wdof_indirect.h.

Inheritance diagram for field_indirect_base< T, M >:

## Public Types

using | float_type = typename float_traits< T >::type
using | memory_type = M
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
using | size_type = typename geo_type::size_type

## Public Member Functions

| field_indirect_base (const space_type &V, const geo_type &dom)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
const geo_type & | get_geo () const
const space_type & | get_space () const

## Protected Attributes

space_type | _V
space_type | _W
geo_type | _dom
disarray< size_type, memory_type > | _dom_dis_idof2dis_idof
size_type | _first_dis_idof

## Member Typedef Documentation

## float_type

template<class T , class M >

using float_type = typename float_traits<T>::type

Definition at line 122 of file field_wdof_indirect.h.

## memory_type

template<class T , class M >

using memory_type = M

Definition at line 123 of file field_wdof_indirect.h.

## geo_type

template<class T , class M >

using geo_type = geo_basic <float_type,memory_type>

Definition at line 124 of file field_wdof_indirect.h.

## space_type

template<class T , class M >

using space_type = space_basic<float_type,memory_type>

Definition at line 125 of file field_wdof_indirect.h.

## size_type

template<class T , class M >

using size_type = typename geo_type::size_type

Definition at line 126 of file field_wdof_indirect.h.

## Constructor & Destructor Documentation

## field_indirect_base()

template<class T , class M >

field_indirect_base | ( | const space_type & | V,
|  | const geo_type & | dom
| ) |  |

Definition at line 158 of file field_wdof_indirect.h.

## Member Function Documentation

## ownership()

template<class T , class M >

const distributor & ownership | ( |  | ) | const

Definition at line 134 of file field_wdof_indirect.h.

## comm()

template<class T , class M >

const communicator & comm | ( |  | ) | const

Definition at line 135 of file field_wdof_indirect.h.

## ndof()

template<class T , class M >

size_type ndof | ( |  | ) | const

Definition at line 136 of file field_wdof_indirect.h.

## dis_ndof()

template<class T , class M >

size_type dis_ndof | ( |  | ) | const

Definition at line 137 of file field_wdof_indirect.h.

## get_geo()

template<class T , class M >

const geo_type & get_geo | ( |  | ) | const

Definition at line 138 of file field_wdof_indirect.h.

## get_space()

template<class T , class M >

const space_type & get_space | ( |  | ) | const

Definition at line 139 of file field_wdof_indirect.h.

## Member Data Documentation

## _V

template<class T , class M >

space_type _V

protected

Definition at line 148 of file field_wdof_indirect.h.

## _W

template<class T , class M >

space_type _W

protected

Definition at line 149 of file field_wdof_indirect.h.

## _dom

template<class T , class M >

geo_type _dom

protected

Definition at line 150 of file field_wdof_indirect.h.

## _dom_dis_idof2dis_idof

template<class T , class M >

disarray<size_type,memory_type> _dom_dis_idof2dis_idof

protected

Definition at line 151 of file field_wdof_indirect.h.

## _first_dis_idof

template<class T , class M >

size_type _first_dis_idof

protected

Definition at line 152 of file field_wdof_indirect.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_wdof_indirect.h